import { LitElement, html } from "lit";
import { customElement, property } from "lit/decorators.js";
import { map } from "lit/directives/map.js";
import { withTailwindStyles } from "../../../decorators/with-tailwind-styles.js";
function _ts_decorate(decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : null === desc ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if ("object" == typeof Reflect && "function" == typeof Reflect.decorate) r = Reflect.decorate(decorators, target, key, desc);
    else for(var i = decorators.length - 1; i >= 0; i--)if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
}
class AtomicFacetPlaceholder extends LitElement {
    render() {
        return html`
      <div
        part="placeholder"
        class="bg-background border-neutral mb-4 animate-pulse rounded-lg border p-7"
        aria-hidden="true"
      >
        <div
          part="title-skeleton"
          class="bg-neutral h-8 rounded"
          style="width: 75%;"
        ></div>
        <div part="values-container" class="mt-7">
          ${map(Array.from({
            length: this.valueCount
        }), ()=>html`
              <div
                part="value-skeleton"
                class="bg-neutral mt-4 flex h-5"
                style="width: 100%; opacity: 0.5;"
              ></div>
            `)}
        </div>
      </div>
    `;
    }
    constructor(...args){
        super(...args), this.valueCount = 8;
    }
}
_ts_decorate([
    property({
        type: Number,
        attribute: 'value-count'
    })
], AtomicFacetPlaceholder.prototype, "valueCount", void 0);
AtomicFacetPlaceholder = _ts_decorate([
    customElement('atomic-facet-placeholder'),
    withTailwindStyles
], AtomicFacetPlaceholder);
export { AtomicFacetPlaceholder };
